#ifndef CHECKABLECOMBOBOXMODEL_H
#define CHECKABLECOMBOBOXMODEL_H

#include <QStandardItemModel>

class CheckableComboBoxModel : public QStandardItemModel
{
    Q_OBJECT
public:
    enum DataRole { SrcRole = Qt::UserRole + 1 };

    explicit CheckableComboBoxModel(QObject *parent);
    QStandardItem *addItem(const QString& i, bool checkable = true);
    QStandardItem* findItem(const double &d) const;

private slots:
    void onItemChanged(QStandardItem * it);

signals:
    void itemChecked(const QString& text, bool checked);

};

#endif // CHECKABLECOMBOBOXMODEL_H
